<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Projects/Llamosi2016/M4_PlotPrediction.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_7a6499598ddcfcabe96e224cb4a6d834.html">Projects</a></li><li class="navelem"><a class="el" href="../../dir_14cef3b922ba0db668f51262197138d9.html">Llamosi2016</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">M4_PlotPrediction.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d2/d7d/_m4___plot_prediction_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;addpath(genpath([<span class="charliteral">&#39;.&#39;</span>,filesep,<span class="stringliteral">&#39;UserFns&#39;</span>]))</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;addpath(genpath([&#39;.&#39;,filesep,&#39;Model&#39;]))</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;addpath(genpath([&#39;..&#39;,filesep,&#39;..&#39;,filesep,&#39;Src&#39;,filesep,&#39;AnalysisScripts&#39;]))</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;addpath(genpath([&#39;..&#39;,filesep,&#39;..&#39;,&#39;Dependencies&#39;]))</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;load(&#39;./ResultsNLME/GTS_Result_Llamosi_Data_full_Llamosi2016-<a class="code" href="../../d3/d6d/_l_g_t_s___e_m_8m.html#a6d06c2e8938b1175de2a7aa2d5952924">LGTS_EM</a>-full.mat&#39;)</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;load(&#39;./ResultsNLME/AR_pool_1_Result_Llamosi_Data_full_Llamosi2016.mat&#39;)</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;% load the data</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;data=readtable(&#39;./DataForEstimation/Data_full_Llamosi2016.csv&#39;); </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;texp=unique(data.Time);</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;ydata=reshape(data.Y,100,325);</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;% simulate</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;ncells=10000;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;SimulatedData=<a class="code" href="../../db/d41/_plot_pop_predictions_8m.html#ad91e89e7f1412c9efcaea1bf66137bfc">PlotPopPredictions</a>(Result,theta_hat_sigma,Model,texp,ncells);</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;simdata=reshape(SimulatedData.Y,100,ncells);</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;% Summarise the data and prediction summaries</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;figure</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;plot(texp&#39;,nanmedian(ydata&#39;),&#39;-k&#39;)</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;hold on </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;plot(texp&#39;,quantile(ydata&#39;,0.025),&#39;--k&#39;)</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;plot(texp&#39;,quantile(ydata&#39;,0.975),&#39;--k&#39;)</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;plot(texp&#39;,nanmedian(simdata&#39;),&#39;-r&#39;)</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;plot(texp&#39;,quantile(simdata&#39;,0.025),&#39;-r&#39;)</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;plot(texp&#39;,quantile(simdata&#39;,0.975),&#39;-r&#39;)</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;xlabel(&#39;Time (h)&#39;)</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;ylabel(&#39;Protein (AU)&#39;)</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="a_plot_pop_predictions_8m_html_ad91e89e7f1412c9efcaea1bf66137bfc"><div class="ttname"><a href="../../db/d41/_plot_pop_predictions_8m.html#ad91e89e7f1412c9efcaea1bf66137bfc">PlotPopPredictions</a></div><div class="ttdeci">function PlotPopPredictions(in GTSResult, in EstimatedMeasurementNoise, in ModelStruct, in texp, in nsamp)</div><div class="ttdoc">PlotPopPredictions is a function simulates the observables in the population.</div></div>
<div class="ttc" id="a_l_g_t_s___e_m_8m_html_a6d06c2e8938b1175de2a7aa2d5952924"><div class="ttname"><a href="../../d3/d6d/_l_g_t_s___e_m_8m.html#a6d06c2e8938b1175de2a7aa2d5952924">LGTS_EM</a></div><div class="ttdeci">function LGTS_EM(in betahat0, in Dhat0, in beta_ihat, in invCi, in C_i, in conv, in DiagD, in Ai, in varargin)</div><div class="ttdoc">Second Stage EM algotithm based on 5.12, 5.13 and 5.14 in Davidians book, Chapter 5.</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
